<script lang="ts">
  import { onMount } from 'svelte'
  import homeImage from '../images/home-image.png'
  import Image from 'src/components/Image.svelte'

  export let h1 = ''

  let time = Date.now()

  function formatTime(timestamp: number): string {
    const date = new Date(timestamp)
    return `${date.getHours()}:${date.getMinutes()}:${date.getSeconds()}`
  }

  onMount(() => {
    setInterval(() => {
      time = Date.now()
    }, 1000)
  })
</script>

<div class="home-page">
  <h1>{h1}</h1>
  <a href="/about">About application</a>
  <div class="timer">
    Current time: {formatTime(time)}
  </div>
  <Image image={homeImage} />
</div>

<style lang="postcss">
  .home-page {
    margin: 0 auto;
    width: 960px;
    padding: 100px 0;
    text-align: center;
  }

  .home-page h1 {
    font-size: 40px;
    font-family: Arial, Helvetica, sans-serif;
    color: black;
    line-height: 1.4;
    padding: 0;
    margin: 0;
  }

  .timer {
    font-size: 48px;
    font-family: Arial, Helvetica, sans-serif;
    color: black;
    line-height: 1.4;
    margin-top: 40px;
  }

  @media (max-width: 900px) {
    .home-page {
      background-color: red;
    }
  }
</style>
